Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Version:	0.9.32
Release:	%mkrel 1
License:	GPLv2+
Group:		Education
URL:		https://www.tuxpaint.org/
Source: 	https://sourceforge.net/projects/tuxpaint/files/tuxpaint/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	gperf
BuildRequires:	desktop-file-utils
BuildRequires:	libpaper-devel
BuildRequires:	ImageMagick
BuildRequires:	lib64kf5service-devel
BuildRequires:	lib64sdl2_gfx-devel
BuildRequires:	lib64sdl2_pango-devel
BuildRequires:	lib64sdl2_image-devel
BuildRequires:	lib64sdl2_mixer-devel
BuildRequires:	lib64sdl2_ttf-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	lib64freetype6-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	lib64imagequant-devel
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	xdg-utils
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libxml-2.0)
#for printing:
Requires: 	netpbm
Recommends:	tuxpaint-config
Recommends:	tuxpaint-stamps
Patch0:         tuxpaint-import-eval.patch
Patch1:         tuxpaint-makefile.patch
Patch2:         tuxpaint-pango-cflags.patch

%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%package	devel
Summary:	Headers and development libraries from %{name}
Group:		Development/C

%description devel
%{name} development headers and libraries.

%prep
%setup -q
%autopatch -p1
find . -name CVS -exec rm -rf {} +

%build
%make_build \
     PREFIX=%{_prefix} \
     MAGIC_PREFIX=%{_libdir}/%{name}/plugins \
     CFLAGS="%{optflags}" \
      tp-magic-config
%make_build \
     PREFIX=%{_prefix} \
     CFLAGS="%{optflags}" \
     MAGIC_PREFIX=%{_libdir}/%{name}/plugins

%install
rm -rf $RPM_BUILD_ROOT
%make_install \
     PREFIX="%{_prefix}" \
     DESTDIR=$RPM_BUILD_ROOT \
     X11_ICON_PREFIX="%{buildroot}/%{_datadir}/pixmaps" \
     MAGIC_PREFIX="%{buildroot}/%{_libdir}/%{name}/plugins" \
     DOC_PREFIX=$RPM_BUILD_ROOT%{_docdir}/tuxpaint \
     DEVDOC_PREFIX=$RPM_BUILD_ROOT%{_docdir}/tuxpaint/devel \
     GNOME_PREFIX="%{_prefix}" \
     KDE_ICON_PREFIX="%{_datadir}/icons"

find %{buildroot}%{_mandir} -type f -exec chmod 644 {} +
find %{buildroot} -type d -exec chmod 0755 {} +
find %{buildroot}%{_datadir}/%{name} -name ".thumbs" -print -exec rm -fr {} +

%find_lang %{name} --with-man

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install	--vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="Art" \
			src/tuxpaint.desktop

rm %{buildroot}/%{_datadir}/%{name}/fonts/locale/zh_tw_docs/*.{sh,py,pe}

# move bash-completion to new home
mkdir -p %{buildroot}/%{_datadir}/bash-completion/completions/
mv 	%{buildroot}%{_sysconfdir}/bash_completion.d/tuxpaint-completion.bash \
	%{buildroot}%{_datadir}/bash-completion/completions/
rmdir %{buildroot}%{_sysconfdir}/bash_completion.d

# find lang
%find_lang %{name}

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/tuxpaint
%{_bindir}/tuxpaint-import
%{_libdir}/tuxpaint/*
%defattr(644,root,root,755)
%{_mandir}/*
%exclude %{_mandir}/man1
%exclude %{_mandir}/man1/tp-magic-config*
%config(noreplace) %{_sysconfdir}/tuxpaint/tuxpaint.conf
%{_datadir}/bash-completion/completions/tuxpaint-completion.bash
%{_docdir}/tuxpaint/*
%{_datadir}/tuxpaint/*
%{_datadir}/applications/tuxpaint*.desktop
%{_datadir}/pixmaps/tuxpaint.png
%{_datadir}/pixmaps/tuxpaint.xpm
%{_datadir}/metainfo/org.tuxpaint.Tuxpaint.appdata.xml
%{_mandir}/man1/tuxpaint*.*

%files devel
%attr(755,root,root) %{_bindir}/tp-magic-config
%defattr(644,root,root,755)
%{_includedir}/%{name}/
%{_mandir}/man1/tp-magic-config.*


%changelog
* Tue Mar 05 2024 pp <pp> 0.9.32-1.pclos2024
- new version

* Mon Jan 01 2024 pp <pp> 0.9.31-1.pclos2024
- new version

* Wed May 24 2023 pp <pp> 0.9.30-1.pclos2023
- new version

* Sat Apr 08 2023 pp <pp> 0.9.29-1.pclos2023
- new version

* Sun Sep 11 2022 pp <pp> 0.9.28-1.pclos2022
- new version

* Fri Apr 15 2022 pp <pp> 0.9.27-1.pclos2022
- new version

* Sat Jul 03 2021 pp <pp> 0.9.26-1.pclos2021
- update

* Tue Jan 05 2021 pp <pp> 0.9.25-1.pclos2021
- update

* Fri Oct 23 2020 pp <pp> 0.9.24-1.pclos2020
- update

* Sat Mar 02 2019 pp <pp> 0.9.23-1.pclos2019
- update

* Tue Aug 26 2014 pinoc <vogtpet at gmail.com> 0.9.22-1pclos2014
- 9.22

* Wed May 01 2013 pinoc <vogtpet at gmail.com> 0.9.21-2pclos2013
- amended BR for 32/64, added BR fribidi-devel
- added 6 patches from MGA 
- added libdir options in make to have it in lib64

* Mon Nov 22 2010 Texstar <texstar at gmail.com> 0.9.21-1pclos2010
- 0.9.21

* Sun May 25 2009 Texstar <texstar@gmail.com> 0.9.20-1pclos2009
- 0.9.20
- fix rpm group
